.contact {
  $parent: &;

  &__main {
    display: flex;
  }

  &__introWrapper {
    margin-bottom: map-get($mobile, space-sm);

    @include breakpoint($large) {
      margin-bottom: map-get($desktop, space-sm);
    }
  }

  &__title {
    color: $color-heading;
  }

  &__lead {
    margin-bottom: 16px;
    color: $color-heading;
    font-size: 20px;
    @include font-archer-light;

    > * {
      font-size: inherit;
    }
  }

  &__intro {
    margin-bottom: 16px;
  }

  .cta {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    margin: 0;

    &--primary {
      padding-right: 2.5rem;
      margin-bottom: 26px;
    }
  }

  &__primary-contact {
    margin-bottom: 0.8rem;
    color: $link-color;

    a {
      color: inherit;
    }

    .prefix {
      margin-bottom: -0.3rem;
    }

    + #{$parent}__secondary-contact {
      border-top: 1px solid $border-color;
      padding-top: 0.6rem;
    }
  }

  &__details {
    > * {
      border-top: 1px solid $border-color;
      padding: 0.6rem 0;
      margin: 0.6rem 0;

      > *:last-child {
        margin-bottom: 0;
      }
    }
  }

  &__notes {
    line-height: 1.4;
    border-top: 1px solid $border-color;
    padding-top: 0.8rem;
    margin-top: 0.4rem;

    p,
    li {
      margin-bottom: 16px;
    }

    ol,
    ul {
      &:last-child {
        margin-bottom: 0;
        li:last-child {
          margin-bottom: 0;
        }
      }
    }
  }

  &__body {
    flex: 1 1 auto;
    width: 100%;

    p {
      font-size: 14px;
      line-height: 1.15;
      margin-bottom: 10px;
    }
  }

  &__image {
    flex: 1 0 auto;
    min-width: 45px;
    max-width: 60px;
    display: block;
    margin-right: 16px;

    img {
      display: block;
      line-height: 1;
    }
  }

  &__tel-prefix,
  &__tel-suffix,
  &__email-prefix {
    display: block;
    color: inherit;
    line-height: 1;
  }

  &__write-prefix {
    display: block;
    color: inherit;
  }

  &__tel {
    color: $link-color;
    @include font-archer-medium;
    line-height: 1.05;

    @include fluid(24, 36);
    letter-spacing: -0.5px;
  }

  &__secondary-contact {
    #{$parent}__tel {
      @include fluid(18, 30);
    }

    #{$parent}__tel-prefix {
      color: inherit;
      margin-bottom: 0;
    }
  }

  &--alt {
    #{$parent}__secondary-contact {
      display: flex;
      flex-wrap: wrap;

      .prefix {
        padding-right: 10px;
      }

      > * {
        color: inherit;
        font-size: inherit;
        font-family: inherit;
        line-height: 1.6;
      }

      a {
        min-width: 200px;
      }
    }
  }

  &__opening {
    line-height: 1.3;
  }

  &__info {
    color: #707070;
    line-height: 1.2;
  }

  .contact__opening + .contact__info {
    margin-top: 1em;
  }

  .cms-edit {
    float: right;
    padding-top: 0;
  }

  .cta--edit {
    padding: 0.8rem;
    margin: 1px;
  }
}
